/experimental/retail-media/accounts/{account-id}/campaigns/{campaign-id}
curl --request PATCH \
--url https://api.criteo.com/experimental/retail-media/accounts/{account-id}/campaigns/{campaign-id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"attributionSettings": {},
"budgetDetails": {
"budget": {
"value": 123
},
"dailyPacing": {
"value": 123
},
"isAutoDailyPacing": true,
"monthlyPacing": {
"value": 123
}
},
"companyName": {
"value": "<string>"
},
"name": "<string>",
"onBehalfCompanyName": {
"value": "<string>"
}
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/experimental/retail-media/accounts/{account-id}/campaigns/{campaign-id}"
payload = { "data": {
"attributes": {
"attributionSettings": {},
"budgetDetails": {
"budget": { "value": 123 },
"dailyPacing": { "value": 123 },
"isAutoDailyPacing": True,
"monthlyPacing": { "value": 123 }
},
"companyName": { "value": "<string>" },
"name": "<string>",
"onBehalfCompanyName": { "value": "<string>" }
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
attributionSettings: {},
budgetDetails: {
budget: {value: 123},
dailyPacing: {value: 123},
isAutoDailyPacing: true,
monthlyPacing: {value: 123}
},
companyName: {value: '<string>'},
name: '<string>',
onBehalfCompanyName: {value: '<string>'}
},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/experimental/retail-media/accounts/{account-id}/campaigns/{campaign-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"accountId": "<string>",
"attributionSettings": {
"clickAttributionScope": "SameSku",
"clickAttributionWindow": "OneWeek",
"viewAttributionScope": "SameSku",
"viewAttributionWindow": "None"
},
"buyType": "Unknown",
"campaignType": "Unknown",
"createdAt": "2023-11-07T05:31:56Z",
"drawableBalanceIds": [
"<string>"
],
"name": "<string>",
"status": "Unknown",
"updatedAt": "2023-11-07T05:31:56Z",
"billByRetailerId": "<string>",
"budgetDetails": {
"budget": 123,
"dailyPacing": 123,
"isAutoDailyPacing": true,
"monthlyPacing": 123
},
"companyName": "<string>",
"id": "<string>",
"objective": "Manual",
"onBehalfCompanyName": "<string>",
"scheduleDetails": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
}
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/experimental/retail-media/accounts/{account-id}/campaigns/{campaign-id}
Selectively updates a campaign. Omitted properties remain unchanged.
PATCH
/
experimental
/
retail-media
/
accounts
/
{account-id}
/
campaigns
/
{campaign-id}
/experimental/retail-media/accounts/{account-id}/campaigns/{campaign-id}
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The external id of the account.
The external id of the campaign.
Body
application/json
The campaign fields to update.
A top-level object that encapsulates a Criteo API request for a single value object.
A value resource exposed by the API.
Show child attributes
Show child attributes
Response
200 - application/json
Success
A top-level object that encapsulates a Criteo API response for a single entity.
Was this page helpful?